#
#
#

LIST(APPEND	pango_SRC
	mini-fribidi/fribidi.c
	mini-fribidi/fribidi_char_type.c
	mini-fribidi/fribidi_types.c   
	break.c                 
	ellipsize.c             
	fonts.c                 
	glyphstring.c               
	modules.c               
	pango-attributes.c          
	pango-bidi-type.c           
	pango-color.c               
	pango-context.c             
	pango-coverage.c            
	pango-engine.c              
	pango-fontmap.c             
	pango-fontset.c             
	pango-glyph-item.c          
	pango-gravity.c             
	pango-item.c                
	pango-language.c            
	pango-layout.c              
	pango-markup.c              
	pango-matrix.c              
	pango-renderer.c            
	pango-script.c              
	pango-tabs.c                
	pango-utils.c               
	reorder-items.c             
	shape.c                 
	pango-enum-types.c          
	module-defs-lang.c						
)

LIST(APPEND	pangoft2_SRC
	opentype/hb-blob.c
	opentype/hb-buffer.c
	opentype/hb-font.cc
	opentype/hb-glib.c
	opentype/hb-shape.c
	opentype/hb-unicode.c
	opentype/hb-ot-layout.cc
	pangofc-font.c   
	pangofc-fontmap.c
	pangofc-decoder.c
	pangoft2.c
	module-defs-fc.c    
	pangoft2-fontmap.c  
	pangoft2-render.c   
	pango-ot-buffer.c   
	pango-ot-info.c     
	pango-ot-ruleset.c  
	pango-ot-tag.c		
)

LIST(APPEND	pangocairo_SRC
	pangocairo-context.c  
	pangocairo-font.c
	pangocairo-fontmap.c  
	pangocairo-render.c
	pangocairo-fcfont.c
	pangocairo-fcfontmap.c
)

#	-DG_LOG_DOMAIN=\"Pango\"	# pango

#	-DSYSCONFDIR=\"${VA_SWFDEC_BINARY_DIR}/etc\" 
#	-DLIBDIR=\"${VA_SWFDEC_BINARY_DIR}/lib\" 

ADD_DEFINITIONS(
	-DHAVE_CONFIG_H 
	-DG_LOG_DOMAIN=\"Pango\" 
	-DPANGO_ENABLE_BACKEND 
	-DPANGO_ENABLE_ENGINE 
	-DSYSCONFDIR=\"/root/net_app/owb/etc\" 
	-DLIBDIR=\"/root/net_app/owb/lib\" 
	-DG_DISABLE_CAST_CHECKS
	-DHAVE_GLIB
	-pthread
	)
INCLUDE_DIRECTORIES(. ../ ./pango ${VA_CAIRO_INCLUDE_DIR} ${VA_FONTCONFIG_INCLUDE_DIR} ${VA_FREETYPE_INCLUDE_DIR})
LINK_DIRECTORIES(${VA_DFB_LIBRARY_DIR})

VA_USE(GLIB)

ADD_LIBRARY(pango ${VA_LIBRARY_TYPE} ${pango_SRC})
ADD_LIBRARY(pangoft2 ${VA_LIBRARY_TYPE} ${pangoft2_SRC})
ADD_LIBRARY(pangocairo ${VA_LIBRARY_TYPE} ${pangocairo_SRC})

# pango
TARGET_LINK_LIBRARIES(pango m)
# pangoft2
TARGET_LINK_LIBRARIES(pangoft2 pango fontconfig)
# pangocairo
TARGET_LINK_LIBRARIES(pangocairo pango pangoft2 cairo fontconfig)
